import {createSSRApp} from "vue";
import App from "./App.vue";
 import i18n from './lang/index'

//挂载 接口
import http from './common/mehaotian-request/index.js'   
export function createApp() {
	const app = createSSRApp(App);		
    app.config.globalProperties.i18n = i18n
	app.config.globalProperties.$http = http
	const t =(path)=>{
		const time = Date.parse(new Date())
		uni.switchTab({
			url:path + time
		})
	}
	app.config.globalProperties.$t = t
	app.use(i18n)
	//app.prototype._i18n = i18n
	return {	
		app
	};
}

//app.prototype._i18n = i18n
//app.mount('#app')

